Subject: Re: "sed" bug?
From: <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 17 Jun 1999 09:46:11 -0700 (PDT)

Mailing-List: contact [email-masked]; run by ezmlm
   Precedence: bulk
   Sender: [email-masked]
   Delivered-To: mailing list [email-masked]
   Date: Thu, 17 Jun 1999 05:36:26 -0700 (PDT)
   From: Earnie Boyd <[email-masked]>
   Reply-To: [email-masked]
   Cc: [email-masked]
   MIME-Version: 1.0
   Content-Type: text/plain; charset=us-ascii

   --- "D. Richard Hipp" <[email-masked]> wrote:
   > Earnie Boyd wrote:
   -8<-
   > > Does the command work interactively under sh vs bash?  
   > 
   > I don't understand.  "sh" is "bash" on both Linux and
   > Cygwin20, is it not?  I'm not running csh if that is
   > what you are asking.
   > 

   No!!  On both systems sh is _NOT_ bash.  sh is ash which was written
   specifically for Linux to be a lightweight shell in order to increase
   processing speed.

That depens on the Linux distribution, I believe.  On my home system,
sh is bash.  And ash is older than Linux, methinks.

Is ash supposed to be a full implementation os the POSIX shell?  If
not, you'll always run into scripts that are hash-banged with
#!/bin/sh but contain constructs ash won't understand.

Not a flame - I understand that there may be excellent reasons to
avoid the full weight of bash in an emulated environment like Cygwin.

-- 
Ian Zimmerman
Lightbinders, Inc.
2325 3rd Street #324
San Francisco, California 94107
U.S.A.

--
Want to unsubscribe from this list?
Send a message to [email-masked]